# fn() sumOfPairsScore
Given a multiple alignment, this function calculates the sum-of-pairs score.

Defined in | <seqan/graph_msa.h>
Signature | `TScoreValue sumOfPairsScore(graph, scoringScheme);`

## Parameters

`graph` | An AlignmentGraph to use for the evaluation.
`ScoringScheme` | The Score to use.

## Return Values

`TScoreValue` | The SOP score of the MSA (Metafunction: Value of the type of `scoringScheme`).

## Detailed Description

This function does NOT assume independent columns. That is, gap openings are properly scored. If you want the fast version assuming independ columns use sumOfPairsScoreInd.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn sumOfPairsScore
     *
     * @headerfile <seqan/graph_msa.h>
     *
     * @brief Given a multiple alignment, this function calculates the sum-of-pairs
     *        score.
     *
     * @signature TScoreValue sumOfPairsScore(graph, scoringScheme);
     *
     * @param[in] graph An @link AlignmentGraph @endlink to use for the evaluation.
     * @param[in] ScoringScheme The @link Score @endlink to use.
     *
     * @return TScoreValue The SOP score of the MSA (Metafunction: @link Score#Value
     *                     @endlink of the type of <tt>scoringScheme</tt>).
     *
     * This function does NOT assume independent columns. That is, gap openings are
     * properly scored. If you want the fast version assuming independ columns use
     * sumOfPairsScoreInd.
     */